

PrefabFiles = {
	"wainright",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wainright.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wainright.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wainright.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wainright.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/wainright_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wainright_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wainright.tex" ),
    Asset( "ATLAS", "bigportraits/wainright.xml" ),
	
	Asset( "IMAGE", "images/map_icons/wainright.tex" ),
	Asset( "ATLAS", "images/map_icons/wainright.xml" ),

}

local require = GLOBAL.require


GLOBAL.STRINGS.CHARACTER_TITLES.wainright = "The Mafioso"
GLOBAL.STRINGS.CHARACTER_NAMES.wainright = "Wainright"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.wainright = "*Dresses sharply\n*Can throw a punch\n*Is very naughty"
GLOBAL.STRINGS.CHARACTER_QUOTES.wainright = "\"I made 'em an offer.\""



GLOBAL.STRINGS.CHARACTERS.WAINRIGHT = require "speech_wainright"


table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "wainright")

TUNING = GLOBAL.TUNING

if GLOBAL.GetPlayer() and GLOBAL.GetPlayer().prefab == "wainright" then
    TUNING.KRAMPUS_DAMAGE = 75
    TUNING.KRAMPUS_SPEED = 8
	TUNING.KRAMPUS_NAUGHTINESS_DECAY_PERIOD = 70
end


AddMinimapAtlas("images/map_icons/wainright.xml")
AddModCharacter("wainright")

