local Naughty = Class(function(self, inst)
    self.inst = inst
    
    self.inst:ListenForEvent( "killed", function(inst,data) self:onkilledother(data.victim) end )

    self.inst:StartUpdatingComponent(self)
end)

-- NOTE! This makes OnNaughtyAction run twice, once in this script and once in kramped
-- The values here are additive, they don't replace the values in kramped
function Naughty:onkilledother(victim)
	if victim and victim.prefab then
		if victim.prefab == "pigman" then
			if not victim.components.werebeast or not victim.components.werebeast:IsInWereState() then
				self.inst.components.kramped:OnNaughtyAction(3)
			end
		elseif victim.prefab == "babybeefalo" then
			self.inst.components.kramped:OnNaughtyAction(3)
		elseif victim.prefab == "teenbird" then
			self.inst.components.kramped:OnNaughtyAction(4)
		elseif victim.prefab == "smallbird" then
			self.inst.components.kramped:OnNaughtyAction(5)
		elseif victim.prefab == "beefalo" then
			self.inst.components.kramped:OnNaughtyAction(3)
		elseif victim.prefab == "crow" then
			self.inst.components.kramped:OnNaughtyAction(5)
		elseif victim.prefab == "robin" then
			self.inst.components.kramped:OnNaughtyAction(4)
		elseif victim.prefab == "robin_winter" then
			self.inst.components.kramped:OnNaughtyAction(4)
		elseif victim.prefab == "butterfly" then
			self.inst.components.kramped:OnNaughtyAction(4)
		elseif victim.prefab == "rabbit" then
			self.inst.components.kramped:OnNaughtyAction(4)
		elseif victim.prefab == "tallbird" then
			self.inst.components.kramped:OnNaughtyAction(3)
		elseif victim.prefab == "bunnyman" then
			self.inst.components.kramped:OnNaughtyAction(4)
		elseif victim.prefab == "penguin" then
			self.inst.components.kramped:OnNaughtyAction(4)
		end
	end
end

function Naughty:GetDebugString()
	if self.actions and self.threshold and self.timetodecay then
		return string.format("Actions: %d / %d, decay in %2.2f", self.actions, self.threshold, self.timetodecay)
	else
		return "Actions: 0"
	end
end

function Naughty:OnUpdate(dt)
	self.inst.components.kramped:OnUpdate(dt)
end


return Naughty